Bug 242208

Summary: Freeze On Boot w/ Audigy PCMCIA
Product: [Fedora] Fedora Reporter: James Nikolai <calsurferpunk>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 9CC: danieleg4, etheban, ext.sascha, jarin.franek, kelvinhbo4, pekpum, roos, triage, triplehaata, x-pilot
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: 2.6.25.6-55.fc9 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-12 22:27:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
scsconfig.log and kernel oops log (zip archive) none

Description James Nikolai 2007-06-02 03:33:14 EDT
Description of problem:
If I leave my Soundblaster PCMCIA Audigy 2 ZS card plugged in during startup the
computer simply freezes when reaching the UDEV startup.  Unplugging it at this
point makes no difference.  If I start with it unplugged then the computer boots
up fine.  If I plug it after the KDE desktop has finished loading then the
computer freezes again.

I know for sure that it was working fine a couple of days ago when using Fedora
Core 6.  It is very important to have this working on my Clevo D900k laptop
since the built in sound card has terrible quality.


How reproducible:

Steps to Reproduce:
1. Insert the Audigy PCMCIA card into the PCMCIA slot
2. Boot into Fedora 7 with grub

Thanks for your help.
Comment 1 Jacob Alexander 2007-06-03 10:37:26 EDT
I have the same issue for my PCMCIA Audigy 2 ZS, and it can be reproduced in 
the same fashion. Fedora Core 6 had no issues.

After reading a similar report for a Audigy 2 ZS Platinum (PCI) Live Drive I 
suspect it may be related as when it is attached a similar situation occurs at 
boot.

I have a Systemax Neotach 3300 (Mitac 8350) with a Texas Instruments PCI4510 PC 
card Carbus Controller (rev 2)
Comment 2 Edoardo Patelli 2007-06-22 10:36:40 EDT
I have the same problem with my Sony Vaio FE11S and the PCMCIA Audigy 2 ZS.
I think that the problem is related to the kernel. I try to run Fedora 7
adopting the kernel of fedora 6 and it works perfectly. 
Comment 3 Chuck Ebbert 2007-06-26 19:33:28 EDT
Which version of ALSA is this using?
cat /proc/asound/version

Has it correctly identified the sound card?
cat /proc/asound/cards

Comment 4 Jacob Alexander 2007-06-26 23:26:20 EDT
I am using ALSA version 1.0.14rc3 (Wed Mar 14 07:25:50 2007 UTC)

As for identifying the sound card, everything stops the moment the card is 
plugged into the PCMCIA card slot, so there is no way I can check whether it 
has identified the sound card or not (unless there are some log files I can 
check). Same issue with inserting the card on boot, stops at or after udev (the 
screen goes blank in both cases).

Thanks
Comment 5 James Nikolai 2007-06-27 10:23:50 EDT
Ditto to Jacob Alexander.  Same ALSA version and unable to check if card
identified.  Thanks for looking into it.
Comment 6 kmberry 2007-06-29 01:33:01 EDT
I have the same problem with my Toshiba Satellite A135-SS2276 and fc8.   My alsa
version is 1.0.12rc1 and I sm using 2.6.18-1.2798.fc6 to get the card working.
Comment 7 Edoardo Patelli 2007-07-03 06:54:01 EDT
Updating: 
With the last updating now I can plug-in the PCMCIA without frozed the system but:

1) If the PCMCIA is plugged into the PCMCIA card slot during startup the
computer simply freezes when reaching the UDEV startup.

2) I can not used the audio card. On the Administrator -> soundcard detection
the sound card is recongnized but NO PCM device available. 

3) No problem with the FC6 Kernel. 
Comment 8 roos 2007-07-25 04:38:42 EDT
Same problem with audigy 2 zs on thinkpad t43 (2669), alsa version 1.0.14,
fedora 7, 2.6.22.1-27.fc7. Worked well in fc6 with 2.6.20. 

This is dmesg output after inserting, freezing and removing:

snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
pccard: card ejected from slot 0
snd-emu10k1: Suspected sound card removal
Audigy2 value: Special config.
snd-emu10k1: Suspected sound card removal
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
emu10k1:I2C:timeout status=0xffffffff
Writing to ADC failed!
snd-emu10k1: Suspected sound card removal
ACPI: PCI interrupt for device 0000:0c:00.0 disabled
Comment 9 Jaroslav Franek 2007-07-31 18:18:19 EDT
Created attachment 160373 [details]
scsconfig.log and kernel oops log (zip archive)

The same freeze during startup or plugin on my HP nx7000 NB with Fedora 7 upto
kernel 2.6.22.1-27.fc7.

With 2.6.22.1-33.fc7 things are a bit different now:

* No freeze during startup with the PCMCIA card plugged in
     NB boots up, I log into KDE, but no sound comes out from the Audigy card
* kernel OOPS (BUG) when the PCMCIA card plugged in (booted without)
     The initialization of the card fails, and during roll-back
     probably resources are freed that were never allocated,
     see the attached log (excerpt from /var/log/messages)

Note also that the card is identified as Audigy Value SB0400 by the sound card
detection utility (this was the same in Fedora 6 where all worked fine),
however, KMix states properly Audigy 2 ZS Notebook [SB0530] - a bit of
inconsistency. Anyway, the card is not working, I cannot hear the test sound so
created the scsconfig.log as advised by the sound card detection utility, see
the attachment.
Comment 10 Jacob Alexander 2007-08-01 16:12:41 EDT
It now works for me in FC7 kernel 2.6.22.1-41.fc7 when booting with the card. 
The test sound plays through the headphone jack, as well as the surround jack.

As for booting without the card and inserting afterwords, I cannot get it to work.
However, I was never able to get it to work in fc6 either.
Comment 11 Jaroslav Franek 2007-08-02 18:28:08 EDT
I have updated to the new kernel 2.6.22.1-41.fc7 and the latest alsa libs and 
can confirm that when booting with the card plugged-in on my HP nx7000 NB, the 
card works, I can hear the test sound (my thanks to everyone involved in fixing 
the issue). Maybe it has worked with 2.6.22.1-33.fc7 as well, it took me some 
time to adjust the knobs on the KMix to get the sound from the soundcard 
detection utility (it is the 'OLD PCM' knob and not the 'PCM' as I had 
expected).

For me the original issue is solved, but once again, plugging the card after 
booting without it (hotplug) causes a kernel Oops. The same bug as in my 
previous post.





Comment 12 James Nikolai 2007-08-02 18:33:37 EDT
Well I thought the problem might be resolved, but the card is once again not
working.  I can leave it plugged in during startup and everything loads
correctly, but the card is not activated properly once I get to the KDE desktop.
 I have kernel 2.6.22.1-41.fc7 along with all of the latest updates as of 8/2/07.

The strange thing is that everything seemed to be working fine for a day or two,
but now the card is not recognized again under soundcard detection.  It's almost
like it was teasing me by working for those couple of days...
Comment 13 Edoardo Patelli 2007-08-03 03:54:21 EDT
With the Kernel 2.6.22.1-41.fc7 my audigy 2 zs on sony vaio works perfectly. 
The only problem remains the hotplug but as Jacob Alexander the hotplug did not
work in fc6 either.
Comment 14 James Nikolai 2007-08-03 10:17:27 EDT
Well strangely enough, mine is working correctly this morning also on my CLEVO
D900K.  The problem now seems to be that it works at random times.  Yesterday I
restarted and turned off the computer several times with no change, yet today I
start it up and the sound card is detected correctly.  Very strange.  I just
wish it were more consistent.
Comment 15 Edoardo Patelli 2007-10-06 11:47:47 EDT
I tried my AUDIGY 2 ZS on SONY VAIO FE11S under fedora 8 test 3 (7.92) but it
does NOT work! 
The computer simply freezes when reaching the UDEV startup. 
I hope that this problem will be fixed before the release of the Fedora 8. 
Comment 16 roos 2007-10-10 05:38:44 EDT
Same here, it has not been working on any of the 64-bit kernels in f8t est 2/3
here. Have not been trying 32-bit. Hangs on udev when inserted start and freezes
machine when inserted later.
Comment 17 roos 2007-10-10 05:40:59 EDT
Should I submit a new thread with f8-tag or could this thread be cloned?
Comment 18 Chuck Ebbert 2007-10-10 19:25:20 EDT
Please try the PCMCIA workarounds from:

https://fedoraproject.org/wiki/KernelCommonProblems
Comment 19 Edoardo Patelli 2007-10-26 11:11:03 EDT
Unfortunately the workaround suggested by Chuck Ebbert does not work!

With the latest kernel (2.6.23.1-31.fc8) under Fedora 8 test 3 my AUDIGY 2 ZS
still not working!
I try all the configuration suggested in 
https://fedoraproject.org/wiki/KernelCommonProblems 
but without success. 

Any suggestions?
Comment 20 Pekki 2007-10-27 20:17:35 EDT
I also have this problem using an Audigy 2 ZS.  I have this problem with the
Final Development Freeze of Fedora 8, Fedora 8 Test3, and Fedora 7 LiveCDs.  It
worked fine under Fedora Core 6.  I did not install from those Fedora LiveCDs so
I could not experiment with different versions of udev or the kernel.

I tried it with a second laptop of a different brand with the same result.  I
tried the suggested pcmcia workarounds as well with no success.  Is this an
Audigy problem or a pcmcia problem?

I am very interested in getting this fixed because it is the only thing keeping
me from switching to Fedora 8.
Comment 21 Jaroslav Franek 2007-10-31 05:29:19 EDT
Unfortunatelly, the kernel 2.6.23 reintroduced the bug to Fedora 7 for me.
To summarize:
kernel 2.6.20 (FC6) and later kernels 2.6.22 (F7) do NOT freeze on boot
kernel 2.6.21 (F7) and kernel 2.6.23.1 (F7, F8) do freeze on boot (during udev)

Needless to say that the hotplug/unplug of the SoundBlaster PCMCIA causes 
kernel Oops, kernel BUG, and even kernel panic. This is an old story and has 
never worked... Note that Windows XP can do it without BSOD. Does it sound 
like a challenge to Linux kernel people? :-) I can provide details if anyone 
is interested.
Comment 22 Chuck Ebbert 2007-12-10 17:45:55 EST
Should be fixed in 2.6.23.8-34. You may need to run the command 'alsactl -F
restore' to get the volume/mixer controls working again.

Also should be okay in Fedora 8 now.
Comment 23 Edoardo Patelli 2007-12-12 06:13:11 EST
I tried under Fedora 8, with the kernel 2.6.23.9-86.fc8 but I still have the
same problem (i.e.  freezes when reaching the UDEV startup)
Comment 24 Jaroslav Franek 2007-12-12 19:23:36 EST
I tried 2.6.23.8-34 in Fedora 7, but got the same freeze during boot in UDEV.

I just noticed that the diode of the internal speakers is always left lit on 
(indicating internal speakers set off) when the freeze occurs. Normally (kernel 
2.6.22) it just blinks during UDEV. Seems like the freeze occurs when probing 
the internal speakers.
Comment 25 Sascha Miller 2007-12-27 08:07:07 EST
I'm using version 2.6.23.9-85.fc8 and alsa version 1.0.15.
And I'm having all the problems mentioned above:
The boot process hangs at UDEV if the card is inserted before booting and it
won't continue until I unplug the card.
And if I insert the card while running fc8 it hangs until I remove it and then I
get the Oops message from comment 8.
Comment 26 Jaroslav Franek 2008-02-14 17:37:20 EST
I am still using 2.6.22.9-91.fc7, because all later 2.6.23 kernels freeze during
boot (tested everytime a new kernel update is released). Recently I have even
installed the 2.6.24.1-26.fc9, a development version from Fedora 9, but it has
got frozen as well. Since the boot was more verbose than with production
kernels, I collected the last lines before it got frozen:

Starting udev: udev-event[1058]: node symlink: device node '/dev/rtc' already
exists, link to '/dev/rtc0' will not overwrite it

However, it may not be related. I still suspect some kernel locking issue
introduced probably in early 2.6.23 development stage. Only to find it...
Clearly this is a regression, because it is known to work in 2.6.22.9-91.fc7,
but never since.
Comment 27 Peter Oyler 2008-02-21 04:29:34 EST
I'm having the same problems as those mentioned above the udev hang when the
card is in and when I insert it when running my laptop freezes and I have to do
a hard shutdown. I've tried both of the kernel workarounds.
Comment 28 Solomon Peachy 2008-03-23 11:05:17 EDT
Add another vote for me:

Hangs at udev on startup; card insertion hangs system too.

Kernel 2.6.24.3-34.fc8 on an x86_64 laptop (Ferrari 4000)

It's alsa 1.0.15, and 1.0.16 is out, FWIW.  I'll test that out.
Comment 29 Bug Zapper 2008-05-14 08:43:53 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 30 James Nikolai 2008-06-05 09:55:29 EDT
Well the same problem is and has been back again.  Apparently this is a problem
in the kernel from what my past understanding is.  I'm now running Fedora 9
x86_64 and I cannot get the laptop to boot past UDEV.
Comment 31 Edoardo Patelli 2008-06-05 10:09:07 EDT
Try to recompile the kernel without enable the CONFIG_DEBUG_SHIRQ as reported on
 bug #326411. (When the Fedora kernel is rebuilt with the CONFIG_DEBUG_SHIRQ
flag not set, the Soundblaster Audigy ZS notebook no longer freezes the boot, or
the system when hot-plug in/out). 

I think the bug and the bug #326411 will be solved soon (thanks to Jaroslav
Franek)! 
Comment 32 Chuck Ebbert 2008-06-06 15:23:41 EDT
*** Bug 447046 has been marked as a duplicate of this bug. ***
Comment 33 Chuck Ebbert 2008-06-06 15:37:30 EDT
Fixed in 2.6.25.4-46
Comment 34 Fedora Update System 2008-06-11 21:38:48 EDT
kernel-2.6.25.6-55.fc9 has been submitted as an update for Fedora 9
Comment 35 Fedora Update System 2008-06-12 22:26:53 EDT
kernel-2.6.25.6-55.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.